--
-- Functions
--
function trite_nogryphons( msg )
	gryphons = 0;
	tritegryphons = gryphons;
	print("Hiding gryphons.");
	MainMenuBarLeftEndCap:Hide()
	MainMenuBarRightEndCap:Hide()
	MainMenuBarTexture0:Hide()
	MainMenuBarTexture1:Hide()
	MainMenuBarTexture2:Hide()
	MainMenuBarTexture3:Hide()
	return
end

function trite_gryphons( msg )
	gryphons = 1;
	tritegryphons = gryphons;
	print("Showing gryphons.");
	MainMenuBarLeftEndCap:Show()
	MainMenuBarRightEndCap:Show()
	MainMenuBarTexture0:Show()
	MainMenuBarTexture1:Show()
	MainMenuBarTexture2:Show()
	MainMenuBarTexture3:Show()
	return
end

function trite_nominimapbuttons( msg )
	minimapbuttons = 0;
	triteminimapbuttons = minimapbuttons;
	print("Hiding minimapbuttons.");
	MinimapZoomIn:Hide()
	MinimapZoomOut:Hide()
	return
end

function trite_minimapbuttons( msg )
	minimapbuttons = 1;
	triteminimapbuttons = minimapbuttons;
	print("Showing minimapbuttons.");
	MinimapZoomIn:Show()
	MinimapZoomOut:Show()
	return
end

function trite_minimapscroll ( msg )
	minimapscroll = 1;
	triteminimapscroll = minimapscroll;
	print("Enable minimapscroll.");
	Minimap:EnableMouseWheel(true)
	Minimap:SetScript('onmousewheel', function(self, delta)
	if delta > 0 then
	Minimap_ZoomIn()
	else
	Minimap_ZoomOut()
	end
	end)
	MiniMapTracking:ClearAllPoints()
	MiniMapTracking:SetPoint("TOPRIGHT", -26, 7)
	return
end

function trite_nominimapscroll ( msg )
	minimapscroll = 0;
	triteminimapscroll = minimapscroll;
	print("Disable minimapscroll.");
	Minimap:EnableMouseWheel(false)
	trite_minimapbuttons();
	return
end

function trite_sell ( msg )
	sell = 1;
	tritesell = sell;
	print("Autosell on.");
end

function trite_nosell ( msg )
	sell = 0;
	tritesell = sell;
	print("Autosell off.");
end

function trite_repair ( msg )
	repair = 1;
	triterepair = repair;
	print("Autorepair on.");
end

function trite_norepair ( msg )
	repair = 0;
	triterepair = repair;
	print("Autorepair off.");
end

--
--Sell junk to merchant
--
local g = CreateFrame("Frame")
g:RegisterEvent("MERCHANT_SHOW")
g:SetScript("OnEvent", function()
if sell == 1 then
	local bag, slot
	for bag = 0, 4 do
	for slot = 0, GetContainerNumSlots(bag) do
	local link = GetContainerItemLink(bag, slot)
	if link and (select(3, GetItemInfo(link)) == 0) then
	UseContainerItem(bag, slot)
	end
	end
	end
end
	
--
--Autorepair  with grepair if avail.
--
if(CanMerchantRepair() and repair == 1) then
local cost = GetRepairAllCost()
if cost > 0 then
local money = GetMoney()
if IsInGuild() then
local guildMoney = GetGuildBankWithdrawMoney()
if guildMoney > GetGuildBankMoney() then
guildMoney = GetGuildBankMoney()
end
if guildMoney > cost and CanGuildBankRepair() then
RepairAllItems(1)
print(format("|cfff07100Repair cost covered by G-Bank: %.1fg|r", cost * 0.0001))
return
end
end
if money > cost then
RepairAllItems()
print(format("|cffead000Repair cost: %.1fg|r", cost * 0.0001))
else
print("Not enough gold to cover the repair cost.")
end
end
end
end)

--
--Main, loading and SavedVariables wait and init
--
local MainFrame = CreateFrame("Frame")
local gryphons;
local minimapbuttons;
local minimapscroll;

function onevent(self, event, arg1)
	if (event == "ADDON_LOADED" and arg1 == "Trite") then
	print("Addon loaded, write '/trite' too see help.")
			--
			-- Set variables if nil value and call functions based on values.
			--
			if tritegryphons == nil then
				gryphons = 0;
				tritegryphons = gryphons;
				print("Gryphons-value is nil, setting to 0.");
			elseif triteminimapscroll == nil then
				minimapscroll = 1;
				triteminimapscroll = minimapscroll;
				print("Gryphons-value is nil, setting to 0.");
			elseif triteminimapbuttons == nil then
				minimapbuttons = 0;
				triteminimapbuttons = minimapbuttons;
				print("Minimapbuttons-value is nil, setting to 0.");
			elseif triterepair == nil then
				repair = 1;
				triterepair = repair;
				print("Repair-value is nil, setting to 1.");
			elseif tritesell == nil then
				sell = 1;
				tritesell = repair;
				print("Repair-value is nil, setting to 1.");
			end
			
			gryphons = tritegryphons;
			minimapbuttons = triteminimapbuttons;
			minimapscroll = triteminimapscroll;
			repair = triterepair;
			
			--print (gryphons .. " " .. minimapbuttons .. " " .. minimapscroll);
			
			if gryphons == 0 then
				trite_nogryphons();
			else
				trite_gryphons();
			end
			
			if minimapbuttons == 0 then
				trite_nominimapbuttons();
			else
				trite_minimapbuttons();
			end
			
			if minimapscroll == 1 then
				trite_minimapscroll();
			else
				trite_nominimapscroll();
			end
	end
end

MainFrame:RegisterEvent("ADDON_LOADED")
MainFrame:RegisterEvent("PLAYER_LOGIN")
MainFrame:SetScript("OnEvent", onevent)

--
-- Slash Commands
--
SLASH_main1 = "/trite"
function SlashCmdList.main(msg)
    print("Trite Addon Help: \n /gryphons \n /nogryphons \n /minimapbuttons \n /nominimapbuttons \n /minimapscroll \n /nominimapscroll \n /repair \n /norepair \n /sell \n /nosell")
end

SLASH_gryphons1 = "/gryphons"
function SlashCmdList.gryphons(msg)
    trite_gryphons();
end

SLASH_nogryphons1 = "/nogryphons"
function SlashCmdList.nogryphons(msg)
    trite_nogryphons();
end

SLASH_minimapbuttons1 = "/minimapbuttons"
function SlashCmdList.minimapbuttons(msg)
    trite_minimapbuttons();
end

SLASH_nominimapbuttons1 = "/nominimapbuttons"
function SlashCmdList.nominimapbuttons(msg)
    trite_nominimapbuttons();
end

SLASH_minimapscroll1 = "/minimapscroll"
function SlashCmdList.minimapscroll(msg)
    trite_minimapscroll();
end

SLASH_nominimapscroll1 = "/nominimapscroll"
function SlashCmdList.nominimapscroll(msg)
    trite_nominimapscroll();
end

SLASH_repair1 = "/repair"
function SlashCmdList.repair(msg)
    trite_repair();
end

SLASH_norepair1 = "/norepair"
function SlashCmdList.norepair(msg)
    trite_norepair();
end

SLASH_sell1 = "/sell"
function SlashCmdList.sell(msg)
    trite_sell();
end

SLASH_nosell1 = "/nosell"
function SlashCmdList.nosell(msg)
    trite_nosell();
end
